[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# IncAMonth

Increase a date with a certain amount of months

## Declaration

Source position: datih.inc line 116

`procedure IncAMonth(`
`var Year: Word;`
`var Month: Word;`
`var Day: Word;`
`NumberOfMonths: Integer = 1`
`);`

## Description

IncAMonth increases the date as specified by Year, Month, Day with NumberOfMonths. It takes care of the number of days in a month when calculating the result.

This function does the same as IncMonth, but operates on an already decoded date.

## See also

IncMonth |  | Increases the month in a TDateTime value with a given amount.

Documentation generated on: Feb 26 2014